/*
* [gcjpost2adrcode.c]
*
* Copyright (C) 2006 Orkney Inc., Kazuhide Kobayashi
*
* This program is free software; you can redistribute and/or modify
* it under the terms of the GNU Lesser General Public License
* as published by the Free Software Foundation.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
* USA.
*
* See the COPYING file for more information.
*
*
*/


/***********************************************************************

						ʗpZ֐

************************************************************************
*/

#ifdef WIN32
#include <windows.h>
#endif

#include <stdio.h>
#include <string.h>
#include <malloc.h>

#include "geocoderja.h"
#include "geocoder.h"
#include "gcjlib.h"

#define TRUE 1
#define FALSE 0

/*-------------------------
	֐
---------------------------
*/

/*---------------------------------------------------------------------

	X֔ԍZR[hɕϊB
	
	 (in)
		postCode : X֔ԍ
				   V̗X֔ԍ𐔒lɕϊ

	 (out)
		adrCode : ZR[h
	
	߂l
		0  : I
		 F G[
			-1 : X֔ԍCfbNXR[hɃ[hĂȂ
			-2 : w肳ꂽX֔ԍȂ
			-3ȉ : ̑̃G[
	
-----------------------------------------------------------------------
*/

#define CODE_MAX 100

int gcjPost2AdrCode( int postCode, ADR_CODE *adrCode )
{
	int nret,cityCode,choCode;
	
	nret = PostIndexGet( postCode, &cityCode, &choCode );
	if ( nret < 0 ) return -3;
	
	if ( adrCode == NULL ) return -4;

	memset( adrCode, 0, sizeof(ADR_CODE) );
		
	adrCode->codeLevel = KIND_CITY;
	adrCode->cityCode = cityCode;
	adrCode->choCode = choCode;

	return 0;
	
}
