/*
* [gcjset.c]
*
* Copyright (C) 2006 Orkney Inc., Kazuhide Kobayashi
*
* This program is free software; you can redistribute and/or modify
* it under the terms of the GNU Lesser General Public License
* as published by the Free Software Foundation.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
* USA.
*
* See the COPYING file for more information.
*
*
*/

/***********************************************************************

				gcjSet Function : e̐ݒ֐

************************************************************************
*/

#ifdef WIN32
#include <windows.h>
#endif

#include <stdio.h>
#include <string.h>
#include <ctype.h>

#include "geocoder.h"
#include "gcjlib.h"


int g_encoding;		/* 0:SJIS 1:EUCJP 2:UTF8 */
int g_outFormat;	/* ǒ͕` */

/*---------------------------------------------------------------------

	Ců֐ĂԍہAƂĎ󂯓n镶̕
	ݒ肷B
	
	(in)
		encoding   : ̕R[h
		             "EUC-JP", "SHIFT_JIS","UTF-8" ̂ꂩ
		  
	߂l
			 0 : I
			-1 : w肳ꂽR[h̓T|[gĂȂ

-----------------------------------------------------------------------
*/

int gcjSetArgEncoding( char *encoding )
{
	char buff[STRMAX+1];
	unsigned int i;
	
	for ( i = 0; i < strlen( encoding ); i++ ) buff[i] = tolower( encoding[i] );
	buff[i] = '\0';
	
	if ( strstr( buff, "jis" ) ) g_encoding = SJIS;
	else if ( strstr( buff, "jp" ) ) g_encoding = EUCJP;
	else if ( strstr( buff, "utf" ) && strstr( buff, "8" ) ) g_encoding = UTF8;
	else return -1;
	
	return 0;
}

/*---------------------------------------------------------------------

	Z̏o͌`ݒ肷B

 @formatNumber  \
				0 : SĂ̕\
				1 : s{̕\
				2 : ߎwss̕\
				3 : x̕\
				4 : S̕\
				5 : s撬̕\
				6 : E厚̕\
				7 : ځE̕\
				8 : nԁAX敄̕\
				9 : nԂ̎}ԁAZԍ̕\

				20 : ""̕\
								\Ȃꍇ"-"ŋ؂
				21 : "Ԓn"AZ\""A""̕\
								\Ȃꍇ"-"ŋ؂
				22 : ڂ̐ŕ\
								\Ȃꍇ͎Zpŕ\

	mode @\ONAOFF
				0 : \Ȃ
				1 : \

	߂l=	 0 : I
	        -1 : w肳ꂽڔԍ̓T|[gĂȂ
	        
	E̊֐Őݒ肵`ŁAgcjAdrCode2Str() ̌ʂB
	E̕\͑Smode=1Ƃ\@B
	EformatNumber=0mode=0ƂƑSĂ̕\mode=0Ƃ\ƂȂB
	  
	
---------------------------------------------------------------------
*/

int gcjSetAdrStringFormat( int formatNumber, int mode )
{
	int bit;
	switch ( formatNumber ){
		case 0: if ( mode == 0 ) g_outFormat = 0;
				else g_outFormat = 0xffffffff;
				return 0;
		case 1: bit = OUT_KEN; break;
		case 2: bit = OUT_SEIREI; break;
		case 3: bit = OUT_SHICHO; break;
		case 4: bit = OUT_GUN; break;
		case 5: bit = OUT_CITY; break;
		case 6: bit = OUT_CHO; break;
		case 7: bit = OUT_AZA; break;
		case 8: bit = OUT_GAIKU; break;
		case 9: bit = OUT_JUKYO; break;
		case 20: bit = OUT_CHOME_STR; break;
		case 21: bit = OUT_BANCHI_STR; break;
		case 22: bit = OUT_CHOME_KANJI; break;
		default: return -1;
	}
	
	if ( mode == 1 ) g_outFormat |= bit;
	else g_outFormat ^= bit;
	
	return 0;
}
