/*
* [mkazarec.cpp]
*
* Copyright (C) 2006 Orkney Inc., Kazuhide Kobayashi
*
*
*
*/



/*

 ȅZ{f[^ɂāAڎR[ht@C쐬B
 ݃T|[gĂAZ{f[^͎̂ƂłB

 @PDyʏȂ̊X惌xʒuQƏ
 @QDCNgoАZf[^

  N@F mkazarec gcjDbDir sourceDir noUpdate

				gcjDbDir		: pZcai[ĂfBNg
				sourceDir		: Z{f[^i[ĂfBNg
				noUpdate		: 厚R[ht@CXVȂ͂P
				@@@@@@@@@XVꍇ͂O܂͉w肵Ȃ

		EpZcaɂ͎̃t@C݂Ȃ΂ȂȂB
			1Dgcj_gyosei.rec
			2. gcj_gyosei.hsh
			3. gcj_cho.rec
			4. gcj_cho.hsh

		EX惌xʒuQƏt@CȂǁAZ{f[^͌CSVt@CƂA
		@쐬錧̃t@C̃fBNgɊi[ĂB
		@̃vOł͎w肳ꂽfBNgɑ݂SĂ̌̃t@C
		@ڎ𒊏oĈ̒ڎR[ht@CɊi[B
		@
		E厚R[ht@CX֔ԍɂč쐬ꍇAX惌x̃f[^
		@厚ƍȂꍇB̏ꍇchoCodeP"厚"ɏ
		@ēo^B

  t@CtH[}bgF
			ڎR[ht@C	FGcjFileFormat#5
			
			
	II܂ĂȂ
		EAڏ
*/


/* wb_[@----------------------------------------------------------*/

#define _cplusplus_

#include "stdafx.h"
#include <windows.h>

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <mbstring.h>
#include <time.h>

#include "geocoder.h"
#include "gcjlib.h"

/* 萔` -----------------------------------------------------------*/

#define AZA_MAX ( CHO_MAX * 6 )

#define NUM_ITEMS 11

#define POST_DATA 1
#define INCP_DATA 2

/* ^` -------------------------------------------------------------*/




/* ϐ` -----------------------------------------------------------*/

AZA_HEADER m_azaHeader;
AZA_TABLE_LIST m_azaTableList[ CHO_MAX ];
AZA_RECORD m_azaRecord[ AZA_MAX ];
int splitq( char *str, char delimiter, char aryStr[][STRMAX+1], int numArray );

int m_tableNum;
int m_numTotalRecords;
int m_noUpdate;

char errStr[STRMAX];

/*@֐` ----------------------------------------------------------*/
int GetFileList( char *dirName, char fileList[][STRMAX] );
int MakeAzaRecords( int sourceKind, char *fileName );
int MakeAzaByKokudo( char *fileName );
int MakeAzaByIncp( char *fileName );
int RegisterTableNum( int cityCode, int choCode, int tableNum );


int main(int argc, char* argv[])
{
	FILE *fpAza;
	long nRet;
	char fileList[47][STRMAX],*dirName,*path,*fileName,*p;
	int i,numFiles,n,sourceKind;
	time_t ltime;
	
	fpAza = NULL;
	
	if ( argc < 3 ) {
		printf(" mkazarec gcjDbDir sourceDir noUpdate\n" );
		return 0;
	}
	
	m_noUpdate = 0;
	if ( argc == 4 ){
		if ( atoi( argv[3] ) == 1 ) m_noUpdate = 1;
	}
	
	
	/* Zcã[h */
	nRet = gcjDbLoad( argv[1], DB_CHO );
	if ( nRet < 0 ){
		sprintf( errStr, "ZDBɃ[hł܂B %s",gcjDbErrorText() );
		goto err;
	}
	
	/* ̓t@C̐グ */
	dirName = argv[2];
	if ( strlen( dirName ) > 255 ){
		sprintf( errStr, " fBNg255ȓɂĉB" );
		goto err;
	}
	
	numFiles = GetFileList( dirName, fileList );
	if ( numFiles == 0 ) {
		sprintf( errStr, "w肵fBNgɂ͏łt@C܂B" );
		goto err;
	}

	/* t@CX֔ԍIncPЃf[^̔f͊gqōs */
	sourceKind = 0;
	p = strrchr( fileList[0], '.' );
	if ( p ) {
		if ( strstr( p, "csv" ) ) sourceKind = POST_DATA;
		else if ( strstr( p, "txt" ) ) sourceKind = INCP_DATA;
	}
	if ( sourceKind == 0 ){
		sprintf( errStr, "f[^̃t@C̊gq.csv.txt̂ǂ炩łȂ΂Ȃ܂B");
		goto err;
	}
	
	/* o̓t@C̃I[v */
	fileName = gcjDbFilePath( ID_AZA );
	if ( ! fileName ){
		sprintf( errStr, "ڎR[ht@C̃pX擾ł܂B" );
		goto err;
	}
	fpAza = fopen( fileName, "wb" );
	if ( fpAza == NULL ){
		sprintf( errStr, "t@C쐬ł܂B :  azaFileName = %s\n", argv[3] );
		goto err;
	}
	
	m_numTotalRecords = 0;
	m_tableNum = 1;		/* e[uԍO͓o^ĂȂƂӖ */

	time( &ltime );	
	printf( "stat time = %s\n", ctime( &ltime ) );
	for ( i = 0; i < numFiles; i++ ){
		fileName = fileList[i];
		printf( "**** start : file name = %s **** \n", fileName );
		nRet = MakeAzaRecords( sourceKind, fileName );
		printf( "---- end   : file name = %s ---- \n", fileName );
	}

	
	/* ڎR[ht@Cւ̏ó@*/

		/* wb_̐ݒ */
	strcpy( m_azaHeader.fileId, FILE_ID_AZA );
	m_azaHeader.version = 1;
	m_azaHeader.maxNumTables = CHO_MAX;
	m_azaHeader.numTables = m_tableNum;
	m_azaHeader.numTotalRecords = m_numTotalRecords;
	

	n = fwrite( &m_azaHeader, sizeof(m_azaHeader), 1, fpAza );

		/* e[uXg */
	n = fwrite( m_azaTableList, sizeof(m_azaTableList), 1, fpAza );
	
		/* R[h{́@*/
	n = fwrite( m_azaRecord, sizeof(AZA_RECORD), m_numTotalRecords, fpAza );
	if ( n != m_numTotalRecords ) {
		strcpy( errStr, "t@Cɏ݂ł܂B" );
		goto err;
	}

	/* 厚t@C̍XV */
	if ( ! m_noUpdate ){
		path = gcjDbFilePath( ID_CHO );
		if ( path ) {
			n = ChoRecSave( path );
			if ( n <= 0 ){
				sprintf( errStr, "厚t@C̍XVł܂Bn = %d\n", n );
				goto err;
			}
		}
	}
	time( &ltime );	
	printf( "end time = %s\n", ctime( &ltime ) );
				
ret:
	gcjDbEnd();
	if (fpAza )  fclose( fpAza );
	return 0;
	
err:
	printf( errStr );
	goto ret;
}

/* 
	fBNgɂ錧̌t@C̃t@C擾B

	EfileList[][]̃t@C̓tpXŕԂB
	Ez̏ԂFindFirstFile()ŕԂ鏇ԂłAR[hł͂Ȃ

	Et@C͏ɕϊĕԂB
		
	߂l@F@i[t@CiőSVj
	@@@ 0 : t@CȂ
*/

int GetFileList( char *dirName, char fileList[][STRMAX] )
{
	
	WIN32_FIND_DATA findData;
	HANDLE hFind;
	char buff[STRMAX];
	int i,j,len;

	strcpy( buff, dirName );
	strcat( buff, "\\*.*" );
	
	hFind = FindFirstFile( buff, &findData );
	if (hFind == INVALID_HANDLE_VALUE) return 0;
	
	i = 0;
	do {
		if ( findData.dwFileAttributes != FILE_ATTRIBUTE_DIRECTORY ) {
			strcpy( buff, dirName );
			strcat( buff, "\\" );
			strcat( buff, findData.cFileName );
			
			len = strlen( buff );
			for ( j = 0; j < len; j++ ) buff[j] = tolower( buff[j] );
			
			strcpy( fileList[i++], buff );
			if ( i == 47 ) break;
		}
	} while( FindNextFile( hFind, &findData ) );

    FindClose(hFind);

	return i;
}

/*  P̏Z{f[^āAڎR[ht@C쐬AǉB

	߂lF 0:@I
	@@@@-1F@G[
*/

int MakeAzaRecords( int sourceKind, char *fileName )
{
	int nret;
	
	if ( sourceKind == POST_DATA ) nret = MakeAzaByKokudo( fileName );
	else if ( sourceKind == INCP_DATA ) nret = MakeAzaByIncp( fileName );
	else nret = 0;
	
	return nret;
}


/*
	X惌xʒuQƏɒڎR[h쐬B
 	 
	߂lF 0:@I
	@@@@-1F@G[
*/

int MakeAzaByKokudo( char *fileName )
{
	FILE *fpJusho;	
	int i,n,fileKenCode,fileYear,lineNum,numRecords,numFound;
	int azaCode,coorNum,jukyoHyoji,daihyoFlag,matchLength,gyoseiCode,nRet;
	int cityCode,azaLength,choCode,lastChoCode,lastCityCode,codeArray[10];
	char azaName[STRMAX+1],lastAzaName[STRMAX+1],*p,buffer[STRMAX+1];
	char *kenName,*cityName,*choName,*chibanStr,nameBuff[10][STRMAX+1],lastCityName[STRMAX+1];
	GYOSEI_RECORD gyoseiRecord;
	AZA_TABLE_LIST *pTableList;
	AZA_RECORD *pRecord;
	double xCoor,yCoor,latitude,longitude;
	char drive[STRMAX+1],dir[STRMAX+1],fname[STRMAX+1],ext[STRMAX+1];
	char *pAzaName;


	fpJusho = fopen( fileName, "r" );
	if ( ! fpJusho ) return -1;

	/* t@C̃`FbN@*/
	_splitpath( fileName, drive, dir, fname, ext );
	n = sscanf( fname, "%d_%d", &fileKenCode, &fileYear );
	if ( n != 2 ){
		sprintf( errStr, "t@C̃tH[}bgႢ܂B" );
		goto err;
	}
	if ( fileKenCode < 1 || fileKenCode > 47 ){
		sprintf( errStr, "t@ČR[h͈͊OłB" );
		goto err;
	}
	if ( fileYear < 1900 || fileYear > 2050 ){
		sprintf( errStr, "t@C̔N͈͊OłB" );
		goto err;
	}
	
	lineNum = 0;
	numRecords = 0;
	strcpy( lastAzaName, "" );
	pTableList = 0;
	pRecord = 0;
	azaCode = 0;
	lastCityCode = 0;
	strcpy( lastCityName, "" );
	lastChoCode = 0;
	
	while( ! feof( fpJusho ) ){
		p = fgets( buffer, 256, fpJusho );
		if ( ! p ) return -2;
		lineNum++;
		
		/* Psڂɕ */
		splitq( buffer, ',', nameBuff, NUM_ITEMS );
		
		kenName =         nameBuff[0];
		cityName =        nameBuff[1];
		choName  =        nameBuff[2];		/* nԋ敔 */
		chibanStr =       nameBuff[3];		/* ԒnA */
		coorNum =    atoi(nameBuff[4]);
		xCoor =      atof(nameBuff[5]);
		yCoor =      atof(nameBuff[6]);
		latitude =   atof(nameBuff[7]);
		longitude =  atof(nameBuff[8]);
		jukyoHyoji = atoi(nameBuff[9]);
		daihyoFlag = atoi(nameBuff[10]);

		/* ǂݔ΂ */
		if ( strlen( choName ) == 0 ) continue; 	/* NULL */
		if ( strstr( kenName, "s" ) ) continue;	/* os */

		/* s撬̔ */
		numFound = gcjGetGyoseiCode( cityName, &matchLength, codeArray, 10 );
		if ( numFound < 1 ){
			printf(" Ignored_1 : line num = %d : %s - %s\n",lineNum, cityName, choName );
			continue;
		}

		/* s{R[hv̂擾 */
		for ( i = 0; i < numFound; i++ ) {
			if ( ( codeArray[i] / 1000 ) == fileKenCode ) break;
		}
		if ( i == numFound ){
			printf(" Ignored_2 : line num = %d : %s - %s\n",lineNum, cityName, choName );
			continue;
		}
		gyoseiCode = codeArray[i];

		/* ꂽsR[hs撬xŖƂ͓ǂݔ΂ */
		nRet = GyoseiRecGet( gyoseiCode, &gyoseiRecord );
		if ( nRet < 0 ) {
			printf(" Ignored_3 : line num = %d : %s - %s\n",lineNum, cityName, choName );
			continue;
		}
		if ( gyoseiRecord.shubetsu != KIND_CITY ){	
			printf(" Ignored_4 : line num = %d : %s - %s\n",lineNum, cityName, choName );
			continue;
		}
		if ( gyoseiRecord.cityCode != gyoseiCode ){	/* 蓾Ȃ */
			printf(" Ignored_5 : line num = %d : %s - %s\n",lineNum, cityName, choName );
			continue;
		}
		cityCode = gyoseiRecord.cityCode;
		
		/* 厚R[h̎擾 */
		numFound = gcjGetChoCode( cityCode, choName, &matchLength, &choCode );
		if ( numFound < 0 ){
			printf(" Ignored_6 : line num = %d err = %d : %s - %s\n",
											lineNum, numFound, cityName, choName );
			continue;
		}
		if ( numFound == 0 ){
			matchLength = 0;
			choCode = 1;
		}
		
		/* ""̍폜 */
		pAzaName = choName + matchLength;
		p = strstr( pAzaName, "" );
		if ( p == pAzaName ){
			pAzaName += 2;
		}
		
		/* ځA̎擾 */
		azaLength = strlen( pAzaName );
		if ( azaLength ){
			gcjStrcpy( azaName, pAzaName, STRMAX );		/* "" */
			
		}
		else continue;

		/* O̒ڎƓȂǂݔ΂ */
		if ( cityCode == lastCityCode && strcmp( azaName, lastAzaName ) == 0 ) continue;
		
		/* Vڎ̏ */

		/* s撬R[h܂͒厚OƈႤƕʃe[u */
		if ( cityCode != lastCityCode || choCode != lastChoCode ){
			
			/* 厚R[ht@Cփe[uԍo^ */
			n = RegisterTableNum( lastCityCode, lastChoCode, m_tableNum );
			if ( n < 0 ) {
				sprintf( errStr, "厚R[hݒł܂B n = %d : citycode = %d(%s) : chocode = %d \n", 
												n, lastCityCode, lastCityName, lastChoCode  );
				goto err;
			}
			
			/* ݂̃e[ȕI */
			if ( pTableList) {
				pTableList->numRecords = numRecords;
				m_numTotalRecords += numRecords;
			}
			
			/* e[uXg̏ */
			m_tableNum++;
			if ( m_tableNum == CHO_MAX ){
				sprintf( errStr,"e[u̗eʂ܂B\n");
				goto err;
			}
			pTableList = &m_azaTableList[ m_tableNum ];
			pTableList->cityCode = cityCode;
			pTableList->choCode = choCode;
			pTableList->numRecords = numRecords = 0;
			pTableList->numSerialChomoku = 0;
			pTableList->startRecNum = m_numTotalRecords;
			
			lastCityCode = cityCode;
			gcjStrcpy( lastCityName, cityName, STRMAX );
			lastChoCode = choCode;
			pRecord = &m_azaRecord[ m_numTotalRecords ];
			
			azaCode = 1;
		}
		
		/* 厚R[hAR[h */
		pRecord->choazaCode = ( choCode << 16 ) + azaCode;

		/*  */
		if ( strlen( azaName ) > AZA_NAME_LEN ){
			sprintf( errStr,"ڎ̕񂪒܂B%s : %s : %s\n", 
											cityName, choName, azaName );
			goto err;
		}
		else gcjStrcpy( pRecord->name, azaName, AZA_NAME_LEN );
		strcpy( pRecord->kana, "" );	/* ͂Ȃ */
		
		/* ̑̃tB[h͂Oŏ */
		pRecord->chibanTableNum = 0;
		pRecord->reserved = 0;
		pRecord->latitude = 0;
		pRecord->longitude = 0;
		
		pRecord++;
		numRecords++;
		azaCode++;
		if ( ( m_numTotalRecords + numRecords ) == AZA_MAX ){
			sprintf( errStr,"R[h܂Bn = %d  : %s : %s : %s\n", 
									AZA_MAX, cityName, choName, azaName );
			goto err;
		}
			
		gcjStrcpy( lastAzaName, azaName, STRMAX );
	}
	if ( numRecords ){
		n = RegisterTableNum( lastCityCode, lastChoCode, m_tableNum );
			
		if ( pTableList) {
			pTableList->numRecords = numRecords;
			m_numTotalRecords += numRecords;
		}
		m_tableNum++;
	}

ret:
	fclose( fpJusho );
	return nRet;

err:
	printf( "Error%s    at : MakeAzaRecords()\n", errStr );
	nRet = -1;
	goto ret;
}

/* 厚R[ht@Cɒڎe[uԍo^

	߂l
		0 : I
		-1: 厚R[h擾łȂ
		-2: 厚R[hݒłȂ
 */

int RegisterTableNum( int cityCode, int choCode, int tableNum )
{
	int nRet;
	CHO_RECORD choRecord;

	if ( choCode <= 0 ) return 0;
	nRet = ChoRecGet( cityCode, choCode, &choRecord );
	if ( nRet < 0 ) {
		return -1;
	}

	choRecord.azaTableNum = tableNum;

	nRet = ChoRecPut( cityCode, choCode, &choRecord );
	if ( nRet < 0 ) return -2;
	
	return 0;
}

/*
  Aw肵ŕAzɊi[B

	(in)
		 str 		:̕
	     delimiter  :؂蕶BpB
  		 numArray	:z̐
	(out) 
		aryStr		:z

  E؂蕶ŋ؂ꂽSTRMAXoCgȉłȂƂȂB
  EtB[h̗['"'̕ꍇɂ͎菜B

  E
  
  ߂l@i[z̐
*/

int splitq( char *str, char delimiter, char aryStr[][STRMAX+1], int numArray )
{
	int numItems,i;
	UCHAR *pStart,*pEnd,*p1,*p2;

	for ( i = 0; i < numArray; i++ ) aryStr[i][0] = '\0';	
	numItems = 0;
	pStart = (UCHAR*) str;
	
	while( *pStart ){
		pEnd = _mbschr( pStart, (UINT)delimiter );
		if ( !pEnd ) break;

		*pEnd = '\0';
		if ( p1 = _mbschr( pStart, (UINT)'"' ) ) {
			p2 = _mbschr( p1+1, (UINT)'"' );
			if (  p2 ) *p2 = '\0';
			pStart = p1+1;
		}
		if ( strlen( (char*)pStart )  > STRMAX ) *( pStart + STRMAX ) = '\0';
		strcpy( aryStr[ numItems ], (char*)pStart );
		numItems++;
		if ( numItems == numArray )  return(numItems);
		pStart = pEnd + 1;
	}
	if ( *pStart ){
		if ( strlen( (char*)pStart )  > STRMAX ) *( pStart + STRMAX ) = '\0';
		strcpy( aryStr[ numItems ], (char*)pStart );
		numItems++;
	}
	
	return numItems;
}

