/*
* [mkchorecord.cpp]
*
* Copyright (C) 2006 Orkney Inc., Kazuhide Kobayashi
*
*
*/



/*
//
// X֔ԍCSVt@C܂IncPАf[^ɂāA厚R[ht@C쐬B
//
//  N@F mkchorecord dbDirName sourceFileName 
//
//              diDirName       : ZDBi[ĂfBNg
//              sourceDirName   : X֔ԍCSVt@C܂IncPАf[^߂ꂽfBNg
//
//  t@CtH[}bgF
//          X֔ԍCSVt@C         FXHPQ
//          厚R[ht@C      FGcjFileFromat#4
//
//@EdbDirName, sourceDirName̓tpXŎw肷B
//
//	EsourceDirNamẽfBNgɊi[Ăt@CSĂɂďA
//	@R[h쐬B
//
//	Et@CX֔ԍCSVt@CIncPАf[^Ȃ̂̋ʂ̓t@C
//@@gq.csvȂX֔ԍCSVt@CA.txtȂIncPАf[^ƔfĂB
//
//	ẼR}hsOmkgyoseirec.exe,mkgyoseihash.exesāA
//	@sR[h쐬Ă˂΂ȂȂB
//
//
*/


/* wb_[@----------------------------------------------------------*/


#include "stdafx.h"
#include <windows.h>

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <mbstring.h>
#include <time.h>

#define _cplusplus_
#include "geocoder.h"
#include "gcjlib.h"

/* 萔` ------------------------------------------------------------*/

#define FILE_ID_CHO "chorecd"
#define FILE_ID_POST "multpost"

#define MULTI_POST_MAX 10000
 

#define NUM_ITEMS 15

#define TRUE 1
#define FALSE 0

#define POST_DATA 1
#define INCP_DATA 2

#define POST_MAX 10000000

/* ^` ------------------------------------------------------------*/
typedef unsigned char UCHAR;
typedef unsigned int UINT;

/* ϐ` ----------------------------------------------------------*/

	/* X֔ԍCSVt@C */
FILE *m_fpList;
int m_lineNum;	/*@Ă郉C̔ԍ */

	/* 厚R[ht@C */
FILE *m_fpRec;
int m_numTotalRecords;
CHO_HEADER m_choHeader;
CHO_OFFSET m_recOffset[ GYOSEI_MAX ];
CHO_RECORD m_aryRecord[ CHO_MAX ];

	/* X֔ԍt@C */
FILE *m_fpMultiPost;
MULTI_POST_HEADER m_multiPostHeader;
MULTI_POST_OFFSET m_multiPostOffset[ MULTI_POST_MAX ];
int m_numMultiPostRec;

	/* X֔ԍCfbNXt@C */
FILE *m_fpPostIndex;
POST_INDEX_HEADER m_postIndexHeader;
struct POST_IDX {
	int cityCode;
	int choCode;
} m_postIdx[ POST_MAX ];

	
	/* ̑ */
static char errStr[STRMAX+1];

/*@֐` ---------------------------------------------------------*/

int MakeRecordFile( int sourceKind, char *fileName );
int splitq( char *str, char delimiter, char aryStr[][STRMAX+1], int numArray );
int SaveMultiPostCode( int cityCode, int choCode, char *choName, int postCode, char *strPostArea );
int GetKakkoString( char *startString, char *kakkoString, UINT kakkoSize );
int GetFileList( char *dirName, char fileList[][STRMAX] );
int MakeByPostData( char *fileName );
extern int MakeChoByIncpData( char *fileName );
int SetPostIdx( int cityCode, int choCode, int postCode );

int main(int argc, char* argv[])
{
	int i,n,nRet,numFiles,sourceKind,numPostIndexRecords;
	char fileList[47][STRMAX],*dirName,*fileName,*p;
	time_t ltime;

	if ( argc < 3 ) {
		printf(" mkchorecord dbDirName sourceDirName" );
		return 0;
	}
	m_fpList = m_fpRec = m_fpMultiPost = NULL;
	
	nRet = gcjDbLoad( argv[1], DB_GYOSEI );
	if ( nRet < 0 ){
		printf( "ZDBɃ[hł܂B err = %d\n", nRet );
		return 0;
	}
	
	/* ̓t@C̐グ */
	dirName = argv[2];
	if ( strlen( dirName ) > 255 ){
		printf( " f[^̃fBNg255ȓɂĉB" );
		goto ret;
	}
	
	numFiles = GetFileList( dirName, fileList );
	if ( numFiles == 0 ) {
		printf( "w肳ꂽfBNgɂ̓t@C܂B" );
		goto ret;
	}

	/* 厚R[ht@C̃I[v */	
	fileName = gcjDbFilePath( ID_CHO );
	if ( ! fileName ) {
		printf( "厚R[ht@Ĉ̖擾ł܂B" );
		goto ret;
	}
	m_fpRec = fopen( fileName, "wb" );
	if ( m_fpRec == NULL ){
		printf( "厚R[ht@C쐬ł܂B :  recordFileName = %s\n", fileName );
		goto ret;
	}

	/* X֔ԍCfbNXt@C̃I[v */	
	fileName = gcjDbFilePath( ID_POST_INDEX );
	if ( ! fileName ) {
		printf( "X֔ԍCfbNXt@Ĉ̖擾ł܂B" );
		goto ret;
	}
	m_fpPostIndex = fopen( fileName, "wb" );
	if ( m_fpPostIndex == NULL ){
		printf( "X֔ԍCfbNXt@C쐬ł܂B :  FileName = %s\n", fileName );
		goto ret;
	}

	/* t@CX֔ԍIncPЃf[^̔f͊gqōs */
	sourceKind = 0;
	p = strrchr( fileList[0], '.' );
	if ( p ) {
		if ( strstr( p, "csv" ) ) sourceKind = POST_DATA;
		else if ( strstr( p, "txt" ) ) sourceKind = INCP_DATA;
	}
	if ( sourceKind == 0 ){
		printf("f[^̃t@C̊gq.csv.txt̂ǂ炩łȂ΂Ȃ܂B");
		goto ret;
	}
	
	/* X֔ԍ쐬̏ꍇ͕X֔ԍR[ht@C̃I[v */
	if ( sourceKind == POST_DATA ){
		/* X֔ԍR[ht@C̃I[v */
		fileName = gcjDbFilePath( ID_MPOST );
		if ( ! fileName ) {
			printf( "X֔ԍR[ht@Ĉ̖擾ł܂B" );
			goto ret;
		}
		m_fpMultiPost = fopen( fileName, "wb" );
		if ( m_fpRec == NULL ){
			printf( "t@C쐬ł܂B :  multiPostFileName = %s\n", fileName );
			goto ret;
		}

		/* X֔ԍt@C͕񏑂݈ʒuɈړ */
		fseek( m_fpMultiPost, sizeof( m_multiPostHeader) + sizeof(m_multiPostOffset), SEEK_SET );
		m_numMultiPostRec = 1;			/* R[h0͎gpȂ */
	}
	
	/* ۂ̒厚R[h̍쐬 */	

	m_numTotalRecords = 0;

	time( &ltime );	
	printf( "stat time = %s\n", ctime( &ltime ) );
	for ( i = 0; i < numFiles; i++ ){
		fileName = fileList[i];
		printf( "**** start : file name = %s **** \n", fileName );
		nRet = MakeRecordFile( sourceKind, fileName );
		printf( "---- end   : file name = %s : total records = %d ---- \n", 
												fileName, m_numTotalRecords );
	}

	/* 厚R[ht@Cւ̏ó@*/

		/* wb_̐ݒ */
	strcpy( m_choHeader.fileId, FILE_ID_CHO );
	m_choHeader.version = 1;
	m_choHeader.numRecords = m_numTotalRecords;
	m_choHeader.numBytes = sizeof( CHO_RECORD );
	m_choHeader.offsetRecordTop = sizeof( CHO_HEADER ) + sizeof( CHO_OFFSET );  

	n = fwrite( &m_choHeader, sizeof(m_choHeader), 1, m_fpRec );

		/* e[uXg */
	n = fwrite( m_recOffset, sizeof(m_recOffset), 1, m_fpRec );
	
		/* R[h{́@*/
	n = fwrite( m_aryRecord, sizeof(CHO_RECORD), m_numTotalRecords, m_fpRec );
	if ( n != m_numTotalRecords ) {
		printf( "厚R[ht@C݃G[Frecords to write = %d : ret = %d\n",
										m_numTotalRecords, n );
		goto ret;
	}

	/* X֔ԍCfbNXt@Cւ̏ó@*/
		/* R[h̏ */
	fseek( m_fpPostIndex, sizeof(m_multiPostHeader), SEEK_SET );
	numPostIndexRecords = 0;
	for ( i = 1; i < POST_MAX; i++ ){
		if ( m_postIdx[i].cityCode > 0 ) {
			n = fwrite( &i, sizeof(int), 1, m_fpPostIndex );
			n = fwrite( &m_postIdx[i], sizeof(POST_IDX), 1, m_fpPostIndex );
			if ( n != 1 ){
				printf( "X֔ԍCfbNXt@C݃G[1Fret = %d\n", n );
				goto ret;
			}
			numPostIndexRecords++;
		}
	}
	
		/* wb_̏ */
	strcpy( m_postIndexHeader.fileId, FILE_ID_POST_INDEX );
	m_postIndexHeader.version = 1;
	m_postIndexHeader.numRecords = numPostIndexRecords;

	fseek( m_fpPostIndex, 0, SEEK_SET );
	n = fwrite( &m_postIndexHeader, sizeof(m_postIndexHeader), 1, m_fpPostIndex );
	if ( n != 1 ){
		printf( "X֔ԍCfbNXt@C݃G[2Fret = %d\n", n );
		goto ret;
	}


	/* X֔ԍ쐬̏ꍇ͕X֔ԍR[ht@C̏ */
	if ( sourceKind == POST_DATA ){
		fseek( m_fpMultiPost, 0, SEEK_SET );
	
			/* wb_ */
		strcpy( m_multiPostHeader.fileId, FILE_ID_POST );
		m_multiPostHeader.version = 1;
		m_multiPostHeader.numOffsets = MULTI_POST_MAX;
		m_multiPostHeader.numRecords = m_numMultiPostRec;

		n = fwrite( &m_multiPostHeader, sizeof(m_multiPostHeader), 1, m_fpMultiPost );

			/* ItZbge[u */
		n = fwrite( m_multiPostOffset, sizeof(m_multiPostOffset), 1, m_fpMultiPost );
		if ( !n ){
			printf( "X֔ԍt@C݃G[Fret = %d\n", n );
			goto ret;
		}
	}

	/* I */
ret:
	gcjDbEnd();
	if ( m_fpRec ) fclose( m_fpRec );
	if ( m_fpMultiPost ) fclose( m_fpMultiPost );

	return 0;
}

/* 
	fBNgɂ錧̌t@C̃t@C擾B

	EfileList[][]̃t@C̓tpXŕԂB
	Ez̏ԂFindFirstFile()ŕԂ鏇ԂłAR[hł͂Ȃ

	Et@C͏ɕϊĕԂB
		
	߂l@F@i[t@CiőSVj
	@@@ 0 : t@CȂ
*/

int GetFileList( char *dirName, char fileList[][STRMAX] )
{
	
	WIN32_FIND_DATA findData;
	HANDLE hFind;
	char buff[STRMAX];
	int i,j,len;

	strcpy( buff, dirName );
	strcat( buff, "\\*.*" );
	
	hFind = FindFirstFile( buff, &findData );
	if (hFind == INVALID_HANDLE_VALUE) return 0;
	
	i = 0;
	do {
		if ( findData.dwFileAttributes != FILE_ATTRIBUTE_DIRECTORY ) {
			strcpy( buff, dirName );
			strcat( buff, "\\" );
			strcat( buff, findData.cFileName );
			
			len = strlen( buff );
			for ( j = 0; j < len; j++ ) buff[j] = tolower( buff[j] );
			
			strcpy( fileList[i++], buff );
			if ( i == 47 ) break;
		}
	} while( FindNextFile( hFind, &findData ) );

    FindClose(hFind);

	return i;
}

/*  厚R[ht@C쐬B

	߂lF 0:@I
	@@@@-1F@G[
*/

int MakeRecordFile( int sourceKind, char *fileName )
{
	int nret;
	
	if ( sourceKind == POST_DATA ) nret = MakeByPostData( fileName );
	else if ( sourceKind == INCP_DATA ) nret = MakeChoByIncpData( fileName );
	else nret = 0;
	
	return nret;
}





/*  X֔ԍf[^ɁA厚R[ht@C쐬B

	߂lF 0:@I
	@@@@-1F@G[
*/

int MakeByPostData( char *fileName )
{
	char *p,buffer[STRMAX+1],nameBuff[NUM_ITEMS][STRMAX+1],buff[STRMAX+1];
	int i,nRet;
	char *kenKana,*cityKana,*choKana,*kenName,*cityName,*choName;
	int choCode,cityCode,oldPostCode,postCode,multiPostCode,hasAza,multiCho;
	int update,changeReason,reserved,hasChomoku,startRecNum;
	int currentRecNum,currentCityCode,multiPostStrNum;
	GYOSEI_RECORD gyoseiRec;
	CHO_RECORD *pChoRec;
	char *pNameKakko,*pKanaKakko;
	char kakkoString[STRMAX+1];
	int kakkoProcessing;
	int builPostCode[] = {9806,3306,1006,1046,1076,1056,1086,1056,1066,1636,1356,1506,1706,
			1631,2206,2617,4506,5316,5306,5406,1057,2208,1630}; 
	int numBuilPostCode,post;

	numBuilPostCode = sizeof( builPostCode ) / sizeof(int);
	
	/* t@C̃I[v */
	m_fpList = fopen( fileName, "r" );
	if ( m_fpList == NULL ){
		printf( "X֔ԍCSVt@CJł܂BF csvFileName = %s\n", fileName );
		goto ret;
	}
	
	/*R[h̎擾 */
	startRecNum = currentRecNum = m_numTotalRecords;
	currentCityCode = 0;
	m_lineNum = 0;
	kakkoProcessing = FALSE;
	while ( ! feof( m_fpList ) ){
loop:	p = fgets( buffer, 256, m_fpList );
		if ( !p || feof( m_fpList )) break;
		m_lineNum++;
//printf("%d : %s",m_lineNum,buffer);
//		if ( ! p  ) break;

		/* Psڂɕ */
		splitq( buffer, ',', nameBuff, NUM_ITEMS );
		
		cityCode =     atoi(nameBuff[0]);
		oldPostCode =   atoi(nameBuff[1]);
		postCode  =     atol(nameBuff[2]);
		kenKana =           nameBuff[3];
		cityKana =          nameBuff[4];
		choKana =           nameBuff[5];
		kenName =           nameBuff[6];
		cityName =          nameBuff[7];
		choName =           nameBuff[8];
		multiPostCode =  atoi(nameBuff[9]);
		hasAza =       atoi(nameBuff[10]);
		hasChomoku =   atoi(nameBuff[11]);
		multiCho =     atoi(nameBuff[12]);
		update =       atoi(nameBuff[13]);
		changeReason = atoi(nameBuff[14]);

		/* ǂݔ΂ */
		if ( strstr( choName, "ȉ" ) ) {
			printf( "Ignored: line=%d name=%s\n", m_lineNum, choName );
			continue;
		}
		if ( strstr( choName, "" ) ) {
			printf( "Ignored: line=%d name=%s\n", m_lineNum, choName );
			continue;
		}

			/* NULL */
		if ( strlen( choName ) == 0 ) {
			printf(" Name length is 0. m_lineNum = %d\n", m_lineNum );
			continue;
		}
			/* ُȎs撬R[h */
		if ( cityCode < 1000 || cityCode > 47999 ){
			printf(" City Code is out of range. cityCode = %d  m_lineNum = %d\n", cityCode ,m_lineNum );
			continue;
		}
			/* r */
		sprintf( buff, "%7d", postCode );
		post = postCode / 1000;
		for ( i = 0; i < numBuilPostCode ; i++ ) {
			if ( post == builPostCode[i] ) {
				printf( "Ignored: line=%d post=%d name=%s\n", m_lineNum, postCode, choName );
				goto loop;
			}
		}
		

		/* sR[hOƈႤꍇ͏IƎ̏ */
		/* 厚R[h2n܂B
		@@1͎ڎn܂ꍇ̖̉厚ƂB
		 */
		if ( cityCode != currentCityCode ){
			if ( currentRecNum ){
				m_recOffset[ currentCityCode ].numRecords = currentRecNum - startRecNum;
				m_numTotalRecords += currentRecNum - startRecNum;
			}
			m_recOffset[ cityCode ].startRecNum = startRecNum = currentRecNum;

			/* 厚̃R[hݒ */
			m_aryRecord[ currentRecNum++ ].choCode = 1;

			/* ʏ̒厚͂Q */
			choCode = 2;	

			currentCityCode = cityCode;
		}
		else choCode++;
		
		/* R[h̊etB[h̋L^ */
		pChoRec = & m_aryRecord[ currentRecNum ];
		
			/* 厚R[h */
		pChoRec->choCode = choCode;

		if ( ! multiPostCode ){	/* 茧'n'͎̂ߍ폜*/
			if ( _mbspbrk( (UCHAR*)choName, (UCHAR*)"n" )){
				p = (char*)_mbspbrk( (UCHAR*)choName, (UCHAR*)"PQRSTUVWX" );
				if (p) *p = '\0';
				p = (char*)_mbspbrk( (UCHAR*)choKana, (UCHAR*)"123456789" );
				if (p) *p = '\0';
			}
		}
				
			/*  */
		pNameKakko = (char*) _mbspbrk( (UCHAR*)choName, (UCHAR*)"i" );	/* ̂Ɂiꍇ́i܂łRs[ */
		if( pNameKakko ) {
			*pNameKakko = '\0';

			nRet = GetKakkoString( pNameKakko+2, kakkoString, STRMAX );
			if ( nRet < 0 ) {
				sprintf( errStr, "#6: parenthesis parse error. code = %d\n", nRet );
				goto err;
			}
		}
		else strcpy( kakkoString, "" );

		if ( strlen( choName ) > CHO_NAME_LEN ){
			sprintf( errStr, "#7: Cho/Oaza name exceeds %d bytes. name = %s\n", CHO_NAME_LEN, choName );
			goto err;
		}
		strcpy( pChoRec->name, choName );

			/*  */
		pKanaKakko = (char*) _mbspbrk( (UCHAR*)choKana, (UCHAR*)"(" );
		if ( pKanaKakko ) *pKanaKakko = '\0';
		if ( strlen( choKana ) > CHO_KANA_LEN ){
			sprintf( errStr, "#8: Kana exceeds %d bytes. name = %s\n", CHO_KANA_LEN, choKana );
			goto err;
		}
		strcpy( pChoRec->kana, choKana );

			/*  */
		reserved = 0;
		if ( hasChomoku ) reserved |= CHO_ATTR_CHOMOKU;
		if ( hasAza ) reserved |= CHO_ATTR_AZA;
		pChoRec->reserved = reserved;
		
			/* X֔ԍ */
		if ( multiPostCode ){	/*̒厚ɕ̗X֔ԍꍇ*/
			if ( postCode == 9390341 && strcmp( choName, "OP" ) == 0 ) continue;	/* ːsOP̏ꍇ͖ */
			if ( postCode == 9390351 && strcmp( choName, "˔j" ) == 0 ) continue;	/* ːs˔j̏ꍇ͖ */
			if ( ! pNameKakko ) {
				memset( buff, 0, 100 );
				pNameKakko = buff;
			}
			multiPostStrNum = SaveMultiPostCode( cityCode, choCode, choName, postCode, kakkoString);
			if ( multiPostStrNum < 0 ) return -1;
			pChoRec->postCode = -multiPostStrNum;
			kakkoProcessing = FALSE;
		}
		else {
			pChoRec->postCode = postCode;
			SetPostIdx( cityCode, choCode, postCode );
		}
		
			/* ̑̃tB[h͂Oŏ */
		pChoRec->azaTableNum = 0;
		pChoRec->chibanTableNum = 0;
		pChoRec->latitude = 0;
		pChoRec->longitude = 0;
						
		/* R[hԍ̍XV */	
		currentRecNum++;
		if ( currentRecNum == CHO_MAX ){
			sprintf( errStr, "#10 : Record exceeds max number ." );
			goto err;
		}
		
	}
	
	/* ʂ̃`FbN */
	if ( ferror( m_fpList ) ) {
		sprintf( errStr, "#11 : file read error.\n" );
		goto err;
	}
	
	/* s͗X֔ԍɋLڂĂȂ̂ŁAL̃[v͒ʂȂB
	   ̂߁A厚R[hō쐬B
	*/

	startRecNum = currentRecNum;
	for ( i = 1000; i < GYOSEI_MAX; i++ ){

		if ( m_recOffset[ i ].numRecords ) continue;

		nRet = GyoseiRecGet( i, &gyoseiRec );
		if ( nRet != 0 ) continue;
		
		if ( gyoseiRec.shubetsu != KIND_CITY ) continue;

		m_recOffset[ i ].numRecords = 1;
		m_recOffset[ i ].startRecNum = currentRecNum;
		m_aryRecord[ currentRecNum++ ].choCode = 1;
		if ( currentRecNum == CHO_MAX ) {
			sprintf( errStr, "#12 : Record exceeds max number ." );
			goto err;
		}
	}

	
	if ( currentRecNum == 0 ) {
		sprintf( errStr, "#13 : there is no valid record\n" );
		goto err;
	}
	
	m_numTotalRecords += currentRecNum - startRecNum;
	
ret:
	if ( m_fpList ) fclose( m_fpList );
	
	return 0;

err:
	printf( "Error%s    at line number = %d  : MakeRecordFile()\n", errStr, m_lineNum );
	goto ret;

}

int SetPostIdx( int cityCode, int choCode, int postCode )
{
	if ( postCode < 0 || postCode >= POST_MAX ) return -1;
	
	m_postIdx[ postCode ].cityCode = cityCode;
	m_postIdx[ postCode ].choCode = choCode;
	return 0;
}



/*
	̂̃tB[hɁiꍇ,i@j̕擾B
	̍sɂ܂ꍇB
	
	߂l@0ȏFIi̊֐œǂ񂾍sj
	@@@@@-1F늇ʂȂ
	@@@@@-2F[hG[
	@@@@@-3ȍ~Fobt@TCYȂB
*/

int GetKakkoString( char *startString, char *kakkoString, UINT kakkoSize )
{
	char *pRearKakko,*p,buffer[STRMAX+1],nameBuff[NUM_ITEMS][STRMAX+1];
	char *choName;
	int numReadLine;
	
	numReadLine = 0;
	
	/* s jꍇ */
	if ( pRearKakko = (char*) _mbspbrk( (UCHAR*)startString, (UCHAR*) "j" ) ){
		*pRearKakko = '\0';
		if ( strlen( startString ) < kakkoSize ) strcpy( kakkoString, startString );
		else return -3;
		return 0;
	}

	/* sɂ킽ꍇ */
	if ( strlen( startString ) < kakkoSize ) strcpy( kakkoString, startString );
	else return -4;
	
	while(1){
		p = fgets( buffer, 256, m_fpList );
		m_lineNum++;
		numReadLine++;
		if ( ! p  ) break;
		
		splitq( buffer, ',', nameBuff, NUM_ITEMS );
		choName = nameBuff[8];
		
		if ( pRearKakko = (char*) _mbspbrk( (UCHAR*)choName, (UCHAR*) "j" ) )
											*pRearKakko = '\0';

		if ( strlen( choName ) + strlen( kakkoString ) < kakkoSize ) 
												strcpy( kakkoString, choName );
		else return -5;
		
		if ( pRearKakko ) return numReadLine;
	}
	
	if ( feof( m_fpList ) ) return -1;
	else return -2;
}
			


/*
	X֔ԍ̕t@CɊi[B

@@߂l@PȏFԍ
@@@@@@@|PFG[
*/

int SaveMultiPostCode( int cityCode, int choCode, char *choName, int postCode, char *firstPostArea )
{
	char *pFrontKakko,buff[STRMAX+1],*nextChoName,*p,kakkoString[STRMAX+1];
	char buffer[STRMAX+1],nameBuff[NUM_ITEMS][STRMAX+1];
	int n,nextPostCode,multiPostCode,numReadLine;
	long lastFilePos;
	
	/* ItZbge[uւ̓o^@*/
	m_multiPostOffset[ m_numMultiPostRec ].choCode = choCode;
	m_multiPostOffset[ m_numMultiPostRec ].offset = ftell( m_fpMultiPost );
	
//	if ( pRearKakko || strlen( strPostArea ) == 0 ) newPostCode = TRUE;
//	else newPostCode = FALSE;

	/* ŏ̗X֔ԍ̏ */
	if ( strlen( choName ) + 7 + strlen( firstPostArea ) < STRMAX )
		sprintf( buff, "%s;%d>%s;", choName, postCode, firstPostArea );
	else goto err1;
	n = fwrite( buff, strlen(buff), 1, m_fpMultiPost );
	if ( !n ) {
		strcpy( errStr, "#2 : multi post file write error." );
		goto err;
	}
	SetPostIdx( cityCode, choCode, postCode );

	while(1){
		lastFilePos = ftell( m_fpList );
		p = fgets( buffer, STRMAX, m_fpList );
		m_lineNum++;
//printf("%d : %s",m_lineNum,buffer);
		if ( ! p  ) {
			if ( feof( m_fpList ) ) goto ret;
			else{
				strcpy( errStr, "#2 : csv read error" );
				goto err;
			}
		}

		splitq( buffer, ',', nameBuff, NUM_ITEMS );
		nextPostCode  =     atoi(nameBuff[2]);
		nextChoName =           nameBuff[8];
		multiPostCode = atoi(nameBuff[9]);

		pFrontKakko = (char*) _mbspbrk( (UCHAR*)nextChoName, (UCHAR*)"i" );	
		if( pFrontKakko ) {
			*pFrontKakko = '\0';

			numReadLine = GetKakkoString( pFrontKakko+2, kakkoString, STRMAX );
			if ( numReadLine < 0 ) {
				sprintf( errStr, "#3: parenthesis parse error. code = %d\n", numReadLine );
				goto err;
			}
		}

		if ( strcmp( choName, nextChoName ) ) {	/* ʂ̒厚Ȃ̂ŏI */
			/* s߂ */
			fseek( m_fpList, lastFilePos, SEEK_SET );
			m_lineNum --;
			if ( pFrontKakko ) m_lineNum -= numReadLine;
			goto ret;
		}

		if ( ! multiPostCode ){
			printf( "warning : multi-post-code flag is not set. name = %s\n", nextChoName );
//			sprintf( errStr, "#4 : multi-post-code flag is not set. name = %s\n", nextChoName );
//			goto err;
		}
			
		if ( ! pFrontKakko ){	/* ()̖ꍇ=GA̎w肪ꍇ@*/
			sprintf( buff, "%d>;", nextPostCode );
			n = fwrite( buff, strlen(buff), 1, m_fpMultiPost );
			if ( !n ) {
				strcpy( errStr, "#5 : multi post file write error." );
				goto err;
			}
			SetPostIdx( cityCode, choCode, nextPostCode );
			continue;
		}
		
		if ( strlen( kakkoString ) + 9 < STRMAX )	
				sprintf( buff, "%d>%s;", nextPostCode, kakkoString );
		else goto err1;
		n = fwrite( buff, strlen(buff), 1, m_fpMultiPost );
		if ( !n ) {
			strcpy( errStr, "#6 : multi post file write error." );
			goto err;
		}
		SetPostIdx( cityCode, choCode, nextPostCode );
	}

ret:
	strcpy( buff, "\n" );
	n = fwrite( buff, 2, 1, m_fpMultiPost );
	if ( !n ) {
		strcpy( errStr, "#7 : multi post file write error." );
		goto err;
	}

	m_numMultiPostRec++;
	if ( m_numMultiPostRec == MULTI_POST_MAX ){
		strcpy( errStr, "#8 : multi post record exceeds limit." );
		goto err;
	}
	return m_numMultiPostRec - 1;
	
err:
	printf( "Error%s    at line number = %d  : SaveMultiPostCode()\n", errStr, m_lineNum );
	return -1;

err1:
	strcpy( errStr, "#1 : buffer size error." );
	goto err;
}


/*
  Aw肵ŕAzɊi[B

	(in)
		 str 		:̕
	     delimiter  :؂蕶BpB
  		 numArray	:z̐
	(out) 
		aryStr		:z

  E؂蕶ŋ؂ꂽSTRMAXoCgȉłȂƂȂB
  EtB[h̗['"'̕ꍇɂ͎菜B

  E
  
  ߂l@i[z̐
*/

int splitq( char *str, char delimiter, char aryStr[][STRMAX+1], int numArray )
{
	int numItems,i;
	UCHAR *pStart,*pEnd,*p1,*p2;

	for ( i = 0; i < numArray; i++ ) aryStr[i][0] = '\0';	
	numItems = 0;
	pStart = (UCHAR*) str;
	
	while( *pStart ){
		pEnd = _mbschr( pStart, (UINT)delimiter );
		if ( !pEnd ) break;

		*pEnd = '\0';
		if ( p1 = _mbschr( pStart, (UINT)'"' ) ) {
			p2 = _mbschr( p1+1, (UINT)'"' );
			if (  p2 ) *p2 = '\0';
			pStart = p1+1;
		}
		if ( strlen( (char*)pStart )  > STRMAX ) *( pStart + STRMAX ) = '\0';
		strcpy( aryStr[ numItems ], (char*)pStart );
		numItems++;
		if ( numItems == numArray )  return(numItems);
		pStart = pEnd + 1;
	}
	if ( *pStart ){
		if ( strlen( (char*)pStart )  > STRMAX ) *( pStart + STRMAX ) = '\0';
		strcpy( aryStr[ numItems ], (char*)pStart );
		numItems++;
	}
	
	return numItems;
}


