/*
* [makegaiku.cpp]
*
* Copyright (C) 2006 Orkney Inc., Kazuhide Kobayashi
*
*
*/



/*

 ȅZ{f[^ɂāAnԊX敄R[ht@C쐬B
 ݃T|[gĂAZ{f[^͎̂ƂłB

 @PDyʏȂ̊X惌xʒuQƏ
 @QDCNgoАZf[^
 @
  N@F mkgaiku gcjDbDir gaikuDirName

			gcjDbDir		: pZcai[ĂfBNg
			gaikuDirName	: 
				PDX惌xʒuQƏt@Ci[ĂfBNg
				܂
				QDpntnnnnn.txt@̃t@Ci[ĂfBNg

	EpZcaɂ͎̃t@C݂Ȃ΂ȂȂB
		1Dgcj_gyosei.rec
		2. gcj_gyosei.hsh
		3. gcj_cho.rec
		4. gcj_cho.hsh
		5. gcj_aza.rec
		
	ẼvO̎sApZDB̃fBNgɂ͎̃t@C
	@쐬B
		@1.nԊX敄R[ht@Cigcj_gaiku.rec)
		@2.}ԏZԍR[ht@Cigcj_jukyo.rec)
		@3.nԕ񃌃R[ht@Cigcj_string.rec)

	@܂̃t@CXVB
		@1.厚R[ht@C
		@2.ڎR[ht@C
			@
  t@CtH[}bgF
			ڎR[ht@C	FGcjFileFormat#5
			XnԃR[ht@CFGcjFileFormat#6
			
*/


/* wb_[@----------------------------------------------------------*/

#define _cplusplus_

#include "stdafx.h"
#include <windows.h>

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <mbstring.h>
#include <time.h>
#include <tchar.h>


#include "geocoder.h"
#include "gcjlib.h"
#include "mkgaiku.h"

/* 萔` -----------------------------------------------------------*/

#define JUKYO_TABLE_MAX 100000
#define JUKYO_MAX ( JUKYO_TABLE_MAX * 10 )

#define NUM_ITEMS 11

#define KOKUDO_DATA 1
#define INCP_DATA 2

#define CITY_MAX 4000

/* ^` -------------------------------------------------------------*/
typedef unsigned int UINT;



/* ϐ` -----------------------------------------------------------*/

char m_fileList[CITY_MAX][STRMAX+1];

	/* nԊX敄t@C */
GAIKU_HEADER m_gaikuHeader;
GAIKU_TABLE_LIST m_gaikuTableList[ CHIBAN_KUIKI_MAX ];
GAIKU_RECORD *m_gaikuRecord;

int m_tableNum;
int m_numTotalRecords;

	/* }ԏZԍt@C */
JUKYO_HEADER m_jukyoHeader;
JUKYO_TABLE_LIST m_jukyoTableList[ JUKYO_TABLE_MAX ];
JUKYO_RECORD *m_jukyoRecord;

int m_jukyoTableNum;
int m_jukyoNumTotalRecords;


static char errStr[STRMAX+1];

/*@֐` ----------------------------------------------------------*/
int GetFileList( char *dirName, char fileList[][STRMAX+1] );
int MakeGaikuRecords( int sourceKind, char *fileName );
int RegisterTableNum( int cityCode, int choCode, int azaCode, int tableNum );
int WriteChibanStr( char *chibanStr );
int WriteJukyoNum( char *str, int cityCode, int choCode, int azaCode, int gaikuCode,
										double latitude, double longitude );
int MakeGaikuByKokudo( char *fileName );
int MakeGaikuByIncp( char *fileName );
extern int GetGaikuNum( char *str, int *matchLength );
int splitq( char *str, char delimiter, char aryStr[][STRMAX+1], int numArray );


int main(int argc, char* argv[])
{
	FILE *fpGaiku,*fpJukyo;
	long nRet;
	char *dirName,*path;
	char *fileName,*gaikuFileName,*jukyoFileName,*p;
	int i,numFiles,n,allocBytes,sourceKind,lastTotalRecords;
	time_t ltime;
	
	fpGaiku = NULL;
	fpJukyo = NULL;
	m_gaikuRecord = NULL;
	m_jukyoRecord = NULL;
	
	if ( argc < 3 ) {
		printf(" mkgaiku gcjDbDir gaikuDirName \n" );
		return 0;
	}
	
	/* ̊m ------------------------------------------------------------*/
		/* nԊX敄p */
	m_gaikuRecord = (GAIKU_RECORD*) calloc( GAIKU_MAX, sizeof(GAIKU_RECORD) );
	if ( ! m_gaikuRecord ){
		allocBytes = GAIKU_MAX * sizeof(GAIKU_RECORD);
		sprintf( errStr, "#1 mۂł܂B mۂ悤ƂoCg = %d", allocBytes);
		goto err;
	}
	
		/* }ԏZԍp */
	m_jukyoRecord = (JUKYO_RECORD*) calloc( JUKYO_MAX, sizeof(JUKYO_RECORD) );
	if ( ! m_jukyoRecord ){
		allocBytes = JUKYO_MAX * sizeof(JUKYO_RECORD);
		sprintf( errStr, "#2 mۂł܂B mۂ悤ƂoCg = %d", allocBytes);
		goto err;
	}
	
	/* Zcã[h --------------------------------------------------------*/
	nRet = gcjDbLoad( argv[1], DB_AZA );
	if ( nRet < 0 ){
		sprintf( errStr, "#3 ZDBɃ[hł܂B %s",gcjDbErrorText() );
		goto err;
	}
	
	/* ̓t@C̐グ -------------------------------------------------*/
	dirName = argv[2];
	if ( strlen( dirName ) > 255 ){
		sprintf( errStr, "#4 fBNg255ȓɂĉB" );
		goto err;
	}
	
	numFiles = GetFileList( dirName, m_fileList );
	if ( numFiles == 0 ) {
		sprintf( errStr, "#5 w肵fBNgłt@C܂B" );
		goto err;
	}

	/* t@CX֔ԍIncPЃf[^̔f */
	sourceKind = 0;
	p = strrchr( m_fileList[0], '.' );
	if ( p ) {
		if ( strstr( p, "csv" ) ) sourceKind = KOKUDO_DATA;
		else if ( strstr( m_fileList[0], "pnt" ) && strstr( p, "txt" ) ) sourceKind = INCP_DATA;
	}
	if ( sourceKind == 0 ){
		sprintf( errStr, "#6 f[^̃t@C͌݃T|[gĂ܂B");
		goto err;
	}

	
	/* o̓t@CinԊX敄j̃I[v ----------------------------------*/
	gaikuFileName = gcjDbFilePath( ID_GAIKU );
	fpGaiku = fopen( gaikuFileName, "wb" );
	if ( fpGaiku == NULL ){
		sprintf( errStr, "#7 t@C쐬ł܂B :  gaikuFileName = %s\n", gaikuFileName );
		goto err;
	}

	/* o̓t@Ci}ԏZԍj̃I[v */
	jukyoFileName = gcjDbFilePath( ID_JUKYO );
	fpJukyo = fopen( jukyoFileName, "wb" );
	if ( fpJukyo == NULL ){
		sprintf( errStr, "#8 t@C쐬ł܂B :  jukyoFileName = %s\n", jukyoFileName );
		goto err;
	}

	/* e̓t@CɂĒnԊX敄e[u쐬 ------------------------*/	
	m_numTotalRecords = 0;
	m_tableNum = 0;

	m_jukyoNumTotalRecords = 0;
	m_jukyoTableNum = 0;
	
	time( &ltime );	
	printf( "stat time = %s\n", ctime( &ltime ) );

	for ( i = 0; i < numFiles; i++ ){
		fileName = m_fileList[i];
		lastTotalRecords = m_numTotalRecords;
		printf( "**** start : file name = %s **** \n", fileName );
		nRet = MakeGaikuRecords( sourceKind, fileName );
		printf( "---- end   : file name = %s : nret = %d  : records = %d---- \n", 
							fileName, nRet, m_numTotalRecords - lastTotalRecords );
		
	}

	
	/* nԊX敄R[ht@Cւ̏ó@----------------------------------*/

		/* wb_̐ݒ */
	strcpy( m_gaikuHeader.fileId, FILE_ID_GAIKU );
	m_gaikuHeader.version = 1;
	m_gaikuHeader.maxNumTables = m_tableNum;	/* ]Ɋmۂ͂Ȃ */
	m_gaikuHeader.numTables = m_tableNum;
	m_gaikuHeader.numTotalRecords = m_numTotalRecords;

	n = fwrite( &m_gaikuHeader, sizeof(m_gaikuHeader), 1, fpGaiku );

		/* e[uXg */
	n = fwrite( m_gaikuTableList, sizeof(GAIKU_TABLE_LIST), m_tableNum, fpGaiku );
	if ( n != m_tableNum ) {
		strcpy( errStr, "#9 t@CɃe[uXg݂̏ł܂B" );
		goto err;
	}
	
		/* R[h{́@*/
	n = fwrite( m_gaikuRecord, sizeof(GAIKU_RECORD), m_numTotalRecords, fpGaiku );
	if ( n != m_numTotalRecords ) {
		strcpy( errStr, "#10 t@CɃR[h݂̏ł܂B" );
		goto err;
	}

	/* }ԏZԍR[ht@Cւ̏ó@-----------------------------------*/

		/* wb_̐ݒ */
	strcpy( m_jukyoHeader.fileId, FILE_ID_JUKYO );
	m_jukyoHeader.version = 1;
	m_jukyoHeader.maxNumTables = m_jukyoTableNum;	/* ]Ɋmۂ͂Ȃ */
	m_jukyoHeader.numTables = m_jukyoTableNum;
	m_jukyoHeader.numTotalRecords = m_jukyoNumTotalRecords;

	n = fwrite( &m_jukyoHeader, sizeof(m_jukyoHeader), 1, fpJukyo );

		/* e[uXg */
	n = fwrite( m_jukyoTableList, sizeof(JUKYO_TABLE_LIST), m_jukyoTableNum, fpJukyo );
	if ( n != m_jukyoTableNum ) {
		strcpy( errStr, "#11 t@CɃe[uXg݂̏ł܂B" );
		goto err;
	}
	
		/* R[h{́@*/
	n = fwrite( m_jukyoRecord, sizeof(JUKYO_RECORD), m_jukyoNumTotalRecords, fpJukyo );
	if ( n != m_jukyoNumTotalRecords ) {
		strcpy( errStr, "#12 t@CɃR[h݂̏ł܂B" );
		goto err;
	}

	/* ʃt@C̍XV ------------------------------------------------------*/
		/* 厚t@C */
	path = gcjDbFilePath( ID_CHO );
	if ( path ) {
		n = ChoRecSave( path );
		if ( n <= 0 ){
			sprintf( errStr, "#13 厚t@C̍XVł܂Bn = %d\n", n );
			goto err;
		}
	}
		/* ڎt@C */
	path = gcjDbFilePath( ID_AZA );
	if ( path ) {
		n = AzaRecSave( path );
		if ( n <= 0 ){
			sprintf( errStr, "#14 ڎt@C̍XVł܂Bn = %d\n", n );
			goto err;
		}
	}
	
	/* I -------------------------------------------------------------------*/
	time( &ltime );	
	printf( "end time = %s\n", ctime( &ltime ) );
				
ret:
	gcjDbEnd();
	if (fpGaiku )  fclose( fpGaiku );
	if (fpJukyo )  fclose( fpJukyo );
	if ( m_gaikuRecord ) free( m_gaikuRecord );
	if ( m_jukyoRecord ) free( m_jukyoRecord );
	return 0;
	
err:
	printf( errStr );
	goto ret;
}

/* 
	fBNgɂ錧܂͎št@C̃t@C擾B

	EfileList[][]̃t@C̓tpXŕԂB
	Ez̏ԂFindFirstFile()ŕԂ鏇ԂłAR[hł͂Ȃ

	Et@C͏ɕϊĕԂB
		
	߂l@Fi[t@C
	@@@ 0 : t@CȂ
*/

int GetFileList( char *dirName, char fileList[][STRMAX+1] )
{
	
	WIN32_FIND_DATA findData;
	HANDLE hFind;
	char buff[STRMAX];
	int i,j,len;

	strcpy( buff, dirName );
	strcat( buff, "\\*.*" );
	
	hFind = FindFirstFile( buff, &findData );
	if (hFind == INVALID_HANDLE_VALUE) return 0;
	
	i = 0;
	do {
		if ( strcmp( findData.cFileName, ".") == 0 || strcmp( findData.cFileName, ".." ) == 0) continue;
		if ( findData.dwFileAttributes != FILE_ATTRIBUTE_DIRECTORY ) {
			strcpy( buff, dirName );
			strcat( buff, "\\" );
			strcat( buff, findData.cFileName );
			
			len = strlen( buff );
			for ( j = 0; j < len; j++ ) buff[j] = tolower( buff[j] );
			
			strcpy( fileList[i++], buff );
			if ( i == CITY_MAX ) break;
		}
	} while( FindNextFile( hFind, &findData ) );

    FindClose(hFind);

	return i;
}

/*
	P̒nԊX敄R[h쐬B
 	 
	߂lF 0:@I
	@@@@-1F@G[
*/

int MakeGaikuRecords( int sourceKind, char *fileName )
{
	int nret;
	
	if ( sourceKind == KOKUDO_DATA ) nret = MakeGaikuByKokudo( fileName );
	else if ( sourceKind == INCP_DATA ) nret = MakeGaikuByIncp( fileName );
	else nret = 0;
	
	return nret;
}


/*
	X惌xʒuQƏɒnԊX敄R[h쐬B
 	 
	߂lF 0:@I
	@@@@-1F@G[
*/

int MakeGaikuByKokudo( char *fileName )
{
	FILE *fpCsv;	
	int i,n,fileKenCode,fileYear,lineNum,numRecords,numFound;
	int coorNum,jukyoHyoji,daihyoFlag,matchLength,gyoseiCode,nRet;
	int cityCode,choCode,lastChoCode,lastCityCode,codeArray[10];
	int azaLength,azaCode,lastAzaCode,strCode,gaikuCode,jukyoTableNum;
	char *p,buffer[STRMAX+1],azaName[STRMAX+1],lastChoName[STRMAX+1],tmpBuff[STRMAX+1];
	char *kenName,*cityName,*choName,*chibanStr,nameBuff[10][STRMAX+1],lastCityName[STRMAX+1];
	GYOSEI_RECORD gyoseiRecord;
	GAIKU_TABLE_LIST *pTableList;
	GAIKU_RECORD *pRecord;
	double xCoor,yCoor,latitude,longitude;
	char drive[STRMAX+1],dir[STRMAX+1],fname[STRMAX+1],ext[STRMAX+1];

	fpCsv = fopen( fileName, "r" );
	if ( ! fpCsv ) return -1;

	/* t@C̃`FbN@*/
	_splitpath( fileName, drive, dir, fname, ext );
	n = sscanf( fname, "%d_%d", &fileKenCode, &fileYear );
	if ( n != 2 ){
		sprintf( errStr, "#20 t@C̃tH[}bgႢ܂B" );
		goto err;
	}
	if ( fileKenCode < 1 || fileKenCode > 47 ){
		sprintf( errStr, "#21 t@ČR[h͈͊OłB" );
		goto err;
	}
	if ( fileYear < 1900 || fileYear > 2050 ){
		sprintf( errStr, "#22 t@C̔N͈͊OłB" );
		goto err;
	}
	

	lineNum = 0;
	numRecords = 0;
	pTableList = 0;
	pRecord = 0;
	lastCityCode = 0;
	strcpy( lastCityName, "" );
	lastChoCode = 0;
	
	while( ! feof( fpCsv ) ){
		p = fgets( buffer, 256, fpCsv );
		if ( feof( fpCsv ) ) break;
		if ( ! p ) return -2;
		lineNum++;
		
		/* Psڂɕ */
		splitq( buffer, ',', nameBuff, NUM_ITEMS );
		
		kenName =         nameBuff[0];
		cityName =        nameBuff[1];
		choName  =        nameBuff[2];
		chibanStr =       nameBuff[3];
		coorNum =    atoi(nameBuff[4]);
		xCoor =      atof(nameBuff[5]);
		yCoor =      atof(nameBuff[6]);
		latitude =   atof(nameBuff[7]);
		longitude =  atof(nameBuff[8]);
		jukyoHyoji = atoi(nameBuff[9]);
		daihyoFlag = atoi(nameBuff[10]);

		/* ǂݔ΂ */
		if ( strlen( choName ) == 0 ) continue; 	/* NULL */
		if ( strstr( kenName, "s" ) ) continue;	/* os */

		/* s撬̔ */
		numFound = gcjGetGyoseiCode( cityName, &matchLength, codeArray, 10 );
		if ( numFound < 1 ){
			printf(" Ignored_1 : line num = %d : %s - %s\n",lineNum, cityName, choName );
			continue;
		}

		/* s{R[hv̂擾 */
		for ( i = 0; i < numFound; i++ ) {
			if ( ( codeArray[i] / 1000 ) == fileKenCode ) break;
		}
		if ( i == numFound ){
			printf(" Ignored_2 : line num = %d : %s - %s\n",lineNum, cityName, choName );
			continue;
		}
		gyoseiCode = codeArray[i];

		/* ꂽsR[hs撬xŖƂ͓ǂݔ΂ */
		nRet = GyoseiRecGet( gyoseiCode, &gyoseiRecord );
		if ( nRet < 0 ) {
			printf(" Ignored_3 : line num = %d : %s - %s\n",lineNum, cityName, choName );
			continue;
		}
		if ( gyoseiRecord.shubetsu != KIND_CITY ){	
			printf(" Ignored_4 : line num = %d : %s - %s\n",lineNum, cityName, choName );
			continue;
		}
		if ( gyoseiRecord.cityCode != gyoseiCode ){	/* 蓾Ȃ */
			printf(" Ignored_5 : line num = %d : %s - %s\n",lineNum, cityName, choName );
			continue;
		}
		cityCode = gyoseiRecord.cityCode;
		
		/* 厚R[h̎擾 */
		numFound = gcjGetChoCode( cityCode, choName, &matchLength, &choCode );
		if ( numFound < 0 ){
			printf(" Ignored_6 : line num = %d err = %d : %s - %s\n",
											lineNum, numFound, cityName, choName );
			continue;
		}
		if ( numFound == 0 ){
			matchLength = 0;
			choCode = 1;
		}
		
		/* ځA̎擾 */
		azaLength = strlen( choName ) - matchLength;
		if ( azaLength ){
			gcjStrcpy( azaName, choName + matchLength, STRMAX );

			numFound = gcjGetAzaCode( cityCode, choCode, azaName, &matchLength, &azaCode );
			if ( numFound < 0 ){
				printf(" Ignored_7 : line num = %d err = %d : %s - %s\n",
											lineNum, numFound, cityName, choName );
				continue;
			}
		}
		else {
			azaCode = 0;
		}

		/* s撬A厚AڎOƈႤƕʃe[u */
		if ( cityCode != lastCityCode || choCode != lastChoCode
											 || azaCode != lastAzaCode ){
			
			/* 厚AڎR[ht@Cփe[uԍo^ */
			if ( m_tableNum ){
				n = RegisterTableNum( lastCityCode, lastChoCode, lastAzaCode, m_tableNum );
				if ( n < 0 ) {
					sprintf( errStr, "#23 厚AڎR[hݒł܂B n = %d : citycode = %d(%s) : chocode = %d : azacode = %d\n", 
								n, lastCityCode, lastCityName, lastChoCode, lastAzaCode  );
					goto err;
				}
			}
			
			/* ݂̃e[ȕI */
			if ( pTableList) {
				pTableList->numRecords = numRecords;
				m_numTotalRecords += numRecords;
			}
			
			/* e[uXg̏ */
			m_tableNum++;
			if ( m_tableNum == CHIBAN_KUIKI_MAX ){
				sprintf( errStr,"#24 e[u̗eʂ܂B\n");
				goto err;
			}
			pTableList = &m_gaikuTableList[ m_tableNum ];
			pTableList->cityCode = cityCode;
			pTableList->choCode = choCode;
			pTableList->azaCode = azaCode;
			pTableList->numRecords = numRecords = 0;
			pTableList->startRecNum = m_numTotalRecords;
			pTableList->jukyoHyoji = jukyoHyoji;	/* ŏ̃R[hŔf */
			
			lastCityCode = cityCode;
			gcjStrcpy( lastCityName, cityName, STRMAX );
			lastChoCode = choCode;
			gcjStrcpy( lastChoName, choName, STRMAX );
			lastAzaCode = azaCode;
			pRecord = &m_gaikuRecord[ m_numTotalRecords ];
		}

		/* nԊX敄 */
			/* nԊX敄łȂꍇ */
		if ( strspn( chibanStr, "0123456789" )!= strlen(chibanStr)){
				/* ŏn܂ꍇ͂̐o */
			gaikuCode = GetGaikuNum( chibanStr, &matchLength );
			if ( gaikuCode > 0 ){
				pRecord->gaikuCode = gaikuCode;
			}
			else {	/* ŏ̏ꍇ */
				p = strpbrk( chibanStr, "0123456789" );
				if ( p ) {	/* ̌ɐꍇ */
					matchLength = p - chibanStr;
					strncpy( tmpBuff, chibanStr, matchLength );
					*( tmpBuff + matchLength ) = '\0';
				}
				else {	/* S̏ꍇ */
					strcpy( tmpBuff, chibanStr );
					matchLength = strlen( chibanStr );
				}
				strCode = WriteChibanStr( tmpBuff );
				if ( strCode < 0 ){
					sprintf( errStr, "#25 nԕt@Cɓo^ł܂łBstr = %s\n",
																tmpBuff );
					goto err;
				}
				pRecord->gaikuCode = gaikuCode = - strCode;
			}
				/* Zԍ݂ꍇ͓o^ */
			if ( strlen( chibanStr ) > (UINT) matchLength ){
				jukyoTableNum = WriteJukyoNum( chibanStr + matchLength, 
									cityCode, choCode, azaCode, gaikuCode, latitude, longitude );
				if ( jukyoTableNum < 0 ) {
					sprintf( errStr, "#26 Zԍe[uɓo^o^ł܂łBstr = %s\n",
													chibanStr + matchLength );
					goto err;
				}
				pRecord->jukyoTableNum = jukyoTableNum;
			}
			else  pRecord->jukyoTableNum = 0;
		}
			/* ̏ꍇ */
		else {
			pRecord->gaikuCode = atoi( chibanStr );
			pRecord->jukyoTableNum = 0;
		}
		
		/* ̑̃tB[h */
		pRecord->latitude = (int) ( latitude * 3600 * 1000 );
		pRecord->longitude = (int) ( longitude * 3600 * 1000 );
		
		pRecord++;
		numRecords++;
		if ( ( m_numTotalRecords + numRecords ) == GAIKU_MAX ){
			sprintf( errStr,"#26 R[h܂Bn = %d  : %s : %s\n", 
									GAIKU_MAX, cityName, choName );
			goto err;
		}
	}
	if ( numRecords ){
		n = RegisterTableNum( lastCityCode, lastChoCode, lastAzaCode, m_tableNum );
			
		if ( pTableList) {
			pTableList->numRecords = numRecords;
			m_numTotalRecords += numRecords;
		}
		m_tableNum++;
	}

ret:
	fclose( fpCsv );
	return nRet;

err:
	printf( "Error%s    at : MakeGaikuRecords()\n", errStr );
	nRet = -1;
	goto ret;
}


/* 厚AڎR[ht@CɒnԊX敄e[uԍo^

	߂l
		0 : I
		-1: 厚R[h擾łȂ
		-2: 厚R[hݒłȂ
		-3: ڎR[h擾łȂ
		-4: ڎR[hݒłȂ
 */

int RegisterTableNum( int cityCode, int choCode, int azaCode, int tableNum )
{
	int n,nRet;
	CHO_RECORD choRecord;
	AZA_RECORD azaRecord;

	if ( choCode <= 0 ) { nRet = 0; goto ret; }

	/* 厚R[h̎擾 */
	n = ChoRecGet( cityCode, choCode, &choRecord );
	if ( n < 0 ) { nRet = -1; goto err; }

	/* azaCodeȌꍇ͒ڎȂ厚Ȃ̂ŁA厚R[hɓo^ */
	if ( ! azaCode ) {
		choRecord.chibanTableNum = tableNum;
		n = ChoRecPut( cityCode, choCode, &choRecord );
		if ( n < 0 ) { nRet = -2; goto ret; }
		nRet = 0;
		goto ret;
	}

	/* ڎR[h̎擾 */
	n = AzaRecGet( cityCode, choCode, azaCode, &azaRecord );
	if ( n < 0 ) { nRet = -3; goto ret; }

	azaRecord.chibanTableNum = tableNum;
	n = AzaRecPut( cityCode, choCode, azaCode, &azaRecord );
	if ( n < 0 ) { nRet = -4; goto ret; }

	nRet = 0;

ret:
	return nRet;
err:
	goto ret;

}


/* łȂnԊX敄̕nԕt@CɏށB

*/

STRING_HEADER m_strHeader;

int WriteChibanStr( char *chibanStr )
{
	FILE *fpStr;
	char buff[CHIBANSTR_BYTES],*fileName;
	int n,nRet;
	static int firstTime=1;
	
	if ( strlen( chibanStr ) > CHIBANSTR_BYTES ) return -1;

	fileName = gcjDbFilePath( ID_STRING );
	if ( !fileName ) return -2;

	/* t@C̃I[vƃwb_̐ݒ */	
	if ( GetFileAttributes( fileName ) == -1 || firstTime ){
		fpStr = fopen( fileName, "wb" );
		if ( !fpStr ) return -3;
		
		strcpy( m_strHeader.fileId, FILE_ID_STRING );
		m_strHeader.version = 1;
		m_strHeader.recordBytes = sizeof(buff);
		m_strHeader.numRecords = 1;
		
		firstTime = 0;
	}
	else {
		fpStr = fopen( fileName, "r+b" );
		if ( !fpStr ) return -4;
		
		n = fread( &m_strHeader, sizeof(m_strHeader), 1, fpStr );
		if ( n != 1 ) { nRet = -5; goto ret; }

		m_strHeader.numRecords++;
		fseek( fpStr, 0, SEEK_SET );
	}

	/* wb_̏ */
	n = fwrite( &m_strHeader, sizeof(m_strHeader), 1, fpStr );
	if ( n != 1 ) { nRet = -6; goto ret; }
		
	fseek( fpStr, 0, SEEK_END );

	/* ̏ */
	memset( buff, 0, sizeof(buff) );
	gcjStrcpy( buff, chibanStr, sizeof(buff) );
	n = fwrite( buff, sizeof(buff), 1, fpStr );
	if ( n != 1 ) { nRet = -7; goto ret; }

	nRet = m_strHeader.numRecords;
	
ret:
	fclose( fpStr );
	return nRet;
}

/*
	}ԁAZԍo^B
	
	߂l = o^}ԏZԍe[u̔ԍ
*/

int WriteJukyoNum( char *str, int cityCode, int choCode, int azaCode, int gaikuCode,
										double latitude, double longitude )
{
	static int numRecords,lastCityCode,lastChoCode,lastAzaCode,lastGaikuCode;
	static JUKYO_TABLE_LIST *pTableList;
	static JUKYO_RECORD *pRecord;
	char buff[STRMAX+1];
	int strCode;
	unsigned int checksum;

	/* s撬A厚AڎAnԊX敄OƈႤƕʃe[u */
	if ( cityCode != lastCityCode || choCode != lastChoCode
							 || azaCode != lastAzaCode || gaikuCode != lastGaikuCode ){
			
		/* ݂̃e[ȕI */
		if ( pTableList) {
			pTableList->numRecords = numRecords;
			m_jukyoNumTotalRecords += numRecords;
		}
			
		/* e[uXg̏ */
		m_jukyoTableNum++;
		if ( m_jukyoTableNum == JUKYO_TABLE_MAX ){
			sprintf( errStr,"#51 e[u̗eʂ܂B\n");
			goto err;
		}
		pTableList = &m_jukyoTableList[ m_jukyoTableNum ];
		checksum = ( cityCode + choCode + azaCode + gaikuCode) & 0xffff;
		pTableList->numRecords = checksum << 16;
		numRecords = 0;
		pTableList->startRecNum = m_jukyoNumTotalRecords;

		lastCityCode = cityCode;
		lastChoCode = choCode;
		lastAzaCode = azaCode;
		lastGaikuCode = gaikuCode;
		pRecord = &m_jukyoRecord[ m_jukyoNumTotalRecords ];
	}

	/* ȊO̕܂ޏꍇ͂̂܂ܓo^ */
	if ( strspn( str, "0123456789" )!= strlen(str)){
		strcpy( buff, "" );
		gcjStrcat( buff+2, str, STRMAX );
		
		strCode = WriteChibanStr( buff );
		if ( strCode < 0 ){
			sprintf( errStr, "#52 nԕt@Cɓo^ł܂łBstr = %s\n",
																buff );
			goto err;
		}
		pRecord->jukyoCode = - strCode;
	}
	else{
		pRecord->jukyoCode = atoi( str );
	}
	
	/* ̑̃tB[h */
	pRecord->latitude = (int) ( latitude * 3600 * 1000 );
	pRecord->longitude = (int) ( longitude * 3600 * 1000 );
		
	pRecord++;
	numRecords++;
	if ( ( m_jukyoNumTotalRecords + numRecords ) == JUKYO_MAX ){
		sprintf( errStr,"#53 R[h܂Bn = %d\n", JUKYO_MAX );
		goto err;
	}
	
	return m_jukyoTableNum;
	
err:
	return -1;
}


/*
  Aw肵ŕAzɊi[B

	(in)
		 str 		:̕
	     delimiter  :؂蕶BpB
  		 numArray	:z̐
	(out) 
		aryStr		:z

  E؂蕶ŋ؂ꂽSTRMAXoCgȉłȂƂȂB
  EtB[h̗['"'̕ꍇɂ͎菜B

  E
  
  ߂l@i[z̐
*/

int splitq( char *str, char delimiter, char aryStr[][STRMAX+1], int numArray )
{
	int numItems,i;
	UCHAR *pStart,*pEnd,*p1,*p2;

	for ( i = 0; i < numArray; i++ ) aryStr[i][0] = '\0';	
	numItems = 0;
	pStart = (UCHAR*) str;
	
	while( *pStart ){
		pEnd = _mbschr( pStart, (UINT)delimiter );
		if ( !pEnd ) break;

		*pEnd = '\0';
		if ( p1 = _mbschr( pStart, (UINT)'"' ) ) {
			p2 = _mbschr( p1+1, (UINT)'"' );
			if (  p2 ) *p2 = '\0';
			pStart = p1+1;
		}
		if ( strlen( (char*)pStart )  > STRMAX ) *( pStart + STRMAX ) = '\0';
		strcpy( aryStr[ numItems ], (char*)pStart );
		numItems++;
		if ( numItems == numArray )  return(numItems);
		pStart = pEnd + 1;
	}
	if ( *pStart ){
		if ( strlen( (char*)pStart )  > STRMAX ) *( pStart + STRMAX ) = '\0';
		strcpy( aryStr[ numItems ], (char*)pStart );
		numItems++;
	}
	
	return numItems;
}

/*
	nԊX敄tB[h̕񂩂琔𔲂oB
	
	߂l
		1ȏF̒l
		0    : 擪ɂ͐
	
	Eô͐A}b`"X"܂""ꍇ
	@̕ȂB
*/

int GetGaikuNum( char *str, int *matchLength )
{
	int nMatch,gaikuNum;

	nMatch = strspn( str, "0123456789" );
	if ( ! nMatch ) return 0;
	
	gaikuNum = atoi( str );
	
	if ( strstr( str, "X" ) ) nMatch += 4;
	else if ( strstr( str, "" )) nMatch += 2;
	else if ( strchr( str, '-' )) nMatch++;

	*matchLength = nMatch;
	return gaikuNum;
}

