Attribute VB_Name = "moduleCommon"
Option Explicit

'******************************************************************************
'                                       萔
'------------------------------------------------------------------------------
'
Public Const MAX_PATH = 260

Public Const INVALID_HANDLE_VALUE = -1

Public Const SW_SHOWNORMAL = 1

'------------------------------------------------------------------------------
'
' ShellExecute()̎s
'

Const SE_ERR_FNF = 2&
Const SE_ERR_PNF = 3&
Const SE_ERR_ACCESSDENIED = 5&
Const SE_ERR_OOM = 8&
Const SE_ERR_DLLNOTFOUND = 32&
Const SE_ERR_SHARE = 26&
Const SE_ERR_ASSOCINCOMPLETE = 27&
Const SE_ERR_DDETIMEOUT = 28&
Const SE_ERR_DDEFAIL = 29&
Const SE_ERR_DDEBUSY = 30&
Const SE_ERR_NOASSOC = 31&
Const ERROR_BAD_FORMAT = 11&

'******************************************************************************
'                                      \
'------------------------------------------------------------------------------

Public Type RECT
        Left As Long
        Top As Long
        Right As Long
        Bottom As Long
End Type


'******************************************************************************
'                                  Windows API 錾
'------------------------------------------------------------------------------
'


Public Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
Public Declare Function GetCurrentDirectory Lib "kernel32" Alias "GetCurrentDirectoryA" (ByVal nBufferLength As Long, ByVal lpBuffer As String) As Long
Public Declare Function SetCurrentDirectory Lib "kernel32" Alias "SetCurrentDirectoryA" (ByVal lpPathName As String) As Long
Public Declare Function MakeSureDirectoryPathExists Lib "imagehlp.dll" (ByVal lpPath As String) As Long
'

            
'-------------------------------------------------------------------------------
'   INIt@C֐
'-------------------------------------------------------------------------------

Public Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" _
            (ByVal lpApplicationName As String, ByVal lpKeyName As Any, _
            ByVal lpString As Any, ByVal lpFileName As String) As Long

Public Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" _
            (ByVal lpApplicationName As String, ByVal lpKeyName As Any, _
            ByVal lpDefault As String, ByVal lpReturnedString As String, _
            ByVal nSize As Long, ByVal lpFileName As String) As Long


'-------------------------------------------------------------------------------
'   EBhE֐
'-------------------------------------------------------------------------------

'
'@EBhEőOʂɕ\BʏFindWindowByCaption()gp
'
Public Declare Function FindWindow Lib "user32" Alias "FindWindowA" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
Public Declare Function SetForegroundWindow Lib "user32" (ByVal hwnd As Long) As Long

'
'  EBhE̕\XVȂ
'
Public Declare Function InvalidateRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT, ByVal bErase As Long) As Long
Public Declare Function GetClientRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long
Public Declare Function UpdateWindow Lib "user32" (ByVal hwnd As Long) As Long


'-------------------------------------------------------------------------------
'   
'-------------------------------------------------------------------------------

Public Declare Sub RtlMoveMemory Lib "kernel32" (Destination As Any, Source As Any, ByVal Length As Long)


'******************************************************************************
'                                  kklib 錾
'------------------------------------------------------------------------------
'

'
' tH_I
'
Public Declare Sub KKSelectFolder Lib "kklib" Alias "SelectFolder" ( _
            ByVal hwnd As Long, ByVal message As String, ByVal OpenFolder As String, _
            ByVal buff As String, ByVal BuffBytes As Integer)


' pXvfɕBSplitPath()gp
'
Public Declare Sub kkSplitPath Lib "kklib" Alias "SplitPath" (ByVal path As String, _
                ByVal driveName As String, ByVal dirPath As String, ByVal fileBody As String, ByVal fileExt As String)



'*******************************************************************************
'   INIt@C֐
'-------------------------------------------------------------------------------
            

'INIt@C蕶擾B
'
' ߂l擾
'

Public Function GetIniFileString(ByVal sSection As String, ByVal sKey As String, ByVal sDefault As String, _
                                                    ByVal sIniFileName As String) As String
    Dim sBuff As String
    
    sBuff = Space(1024)
    GetPrivateProfileString sSection, sKey, sDefault, sBuff, 1024, sIniFileName
    GetIniFileString = Left(sBuff, InStr(sBuff, Chr(0)) - 1)
End Function

                
'*******************************************************************************
'   vOs֐
'-------------------------------------------------------------------------------

'OvOsB
'
'   commandStr : R}hit@C̏ꍇ͂̃t@C֘AtŊJj
'   argStr     : i"")
'   errStr     : G[̃G[e
'
'   ߂l=  32ȉFG[
'
'   EDOSȂŎsꍇ
'     ExecuteProgram("cmd.exe", "/k " & cmdString, errStr)  /k t
'   Eargstr̒120oCg𒴂access denyed̃G[ƂȂꍇ̂Œ

Public Function ExecuteProgram(ByVal commandStr As String, ByVal argStr As String, Optional errStr As String)
    Dim nret As Long
    
    nret = ShellExecute(0, "open", commandStr, argStr, App.path, SW_SHOWNORMAL)
    
    If (nret <= 32) And (Not IsMissing(errStr)) Then
        Select Case nret
            Case SE_ERR_FNF
                errStr = "File not found"
            Case SE_ERR_PNF
                errStr = "Path not found"
            Case SE_ERR_ACCESSDENIED
                errStr = "Access denied"
            Case SE_ERR_OOM
                errStr = "Out of memory"
            Case SE_ERR_DLLNOTFOUND
                errStr = "DLL not found"
            Case SE_ERR_SHARE
                errStr = "A sharing violation occurred"
            Case SE_ERR_ASSOCINCOMPLETE
                errStr = "Incomplete or invalid file association"
            Case SE_ERR_DDETIMEOUT
                errStr = "DDE Time out"
            Case SE_ERR_DDEFAIL
                errStr = "DDE transaction failed"
            Case SE_ERR_DDEBUSY
                errStr = "DDE busy"
            Case SE_ERR_NOASSOC
                errStr = "No association for file extension"
            Case ERROR_BAD_FORMAT
                errStr = "Invalid EXE file or error in EXE image"
            Case Else
                errStr = "Unknown error"
        End Select
    End If
    ExecuteProgram = nret
End Function


'@DOSŃR}hsB
'
'   command : R}h
'   timeout : R}hI܂ő҂biKl30bj
'   errStr  : G[NAstderro͂ꂽ
'
'   ߂l=@0 : I
'   @@@@-1 F^CAEg
'   @@@@-2 FG[ierrStrɃR}h̃G[ʂԂj
'  ̊֐̓R}h̎s̏I҂ĕԂB

Public Function DosCommand(frm As Form, command As String, msgWindow As RichTextBox, Optional timeout As Integer, _
                                Optional errStr As String) As Integer
    Dim shellObj As Object, execObj As Object
    Dim nret As Integer, lineCounter As Integer
    Dim err As String
    Dim startTime As Date
    Dim lineBuffer As String

    err = ""
    If IsMissing(timeout) Then timeout = 30
'    msgWindow.Text = ""
    
    Set shellObj = CreateObject("WScript.Shell")
'    Set execObj = shellObj.Exec("%ComSpec% /c " & command)
    Set execObj = shellObj.Exec(command)

    SetForegroundWindow frm.hwnd
    startTime = Now
    lineCounter = 0
    lineBuffer = ""
    Do
        If execObj.Status = 1 Then Exit Do
        If DateDiff("s", startTime, Now) > timeout Then
            nret = -1
            GoTo ret
        End If
        If Not execObj.StdOut.AtEndOfStream Then
            msgWindow.Text = msgWindow.Text & execObj.StdOut.ReadAll
            GoTo j1
        
            lineBuffer = lineBuffer & execObj.StdOut.Readline() & vbCrLf
            lineCounter = lineCounter + 1
            If lineCounter > 100 Then
                msgWindow.Text = msgWindow.Text + lineBuffer
                msgWindow.SelStart = Len(msgWindow.Text) + 1
                lineCounter = 0
                lineBuffer = ""
            End If
j1:
'            frm.Refresh
        End If
        DoEvents
    Loop
    
    msgWindow.Text = msgWindow.Text & lineBuffer & execObj.StdOut.ReadAll
    
    If Not execObj.StdErr.AtEndOfStream Then
        nret = -2
        err = execObj.StdErr.ReadAll
    Else
        nret = 0
    End If

ret:
    Set execObj = Nothing
    Set shellObj = Nothing
    SetForegroundWindow frm.hwnd
    
    If Not IsMissing(errStr) Then
        If nret = -1 Then errStr = "timeout" _
        Else errStr = err
    End If
    
    DosCommand = nret
End Function




'*******************************************************************************
'   Window@֘A
'-------------------------------------------------------------------------------

'EBhEB
'
'  captionName : EBhẼLvVi^Cgo[ɕ\镶j
'
'  ߂l=@hWndiEBhEnhj

Public Function FindWindowByCaption(ByVal captionName As String) As Long
    FindWindowByCaption = FindWindow("", captionName)
End Function


'*******************************************************************************
'   t@C@֘A
'-------------------------------------------------------------------------------


'tH_̃pX擾B
'
'
Public Function SelectFolder(ByVal message As String, ByVal initOpenFolder As String, _
                                                           folderPath As String)
    Dim sBuff As String
    
    sBuff = Space(1024)
    KKSelectFolder 0, message, initOpenFolder, sBuff, 1024
    folderPath = Left(sBuff, InStr(sBuff, Chr(0)) - 1)

End Function




'pX\vfɕB
'
'  :\͕t܂ܕԂB
'
'   EKv̂Ȃ͎w肵Ȃ(R}݂̂ƂjB

Public Sub SplitPath(ByVal path As String, _
                Optional driveName As String, Optional dirPath As String, _
                Optional fileBody As String, Optional fileExt As String)
    Dim drvName As String, dirName As String, bodyName As String, extName As String
    
    drvName = Space$(MAX_PATH)
    dirName = Space$(MAX_PATH)
    bodyName = Space$(MAX_PATH)
    extName = Space$(MAX_PATH)

    kkSplitPath path, drvName, dirName, bodyName, extName
    
    If Not IsMissing(driveName) Then driveName = Left(drvName, InStr(drvName, Chr(0)) - 1)
    If Not IsMissing(dirPath) Then dirPath = Left(dirName, InStr(dirName, Chr(0)) - 1)
    If Not IsMissing(fileBody) Then fileBody = Left(bodyName, InStr(bodyName, Chr(0)) - 1)
    If Not IsMissing(fileExt) Then fileExt = Left(extName, InStr(extName, Chr(0)) - 1)
End Sub

